curl --request PATCH \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Favorite Color",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"status": "visible",
"notify_all_members": true,
"primary": true
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/"
payload = {
"title": "Favorite Color",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"status": "visible",
"notify_all_members": True,
"primary": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Favorite Color',
description: 'Select your favorite color',
placeholder: 'Enter your answer here',
status: 'visible',
notify_all_members: true,
primary: true
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"created_at": "2026-09-27T20:54:54+00:00",
"updated_at": "2026-09-27T20:54:54+00:00",
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"location_granularity": "city"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Update a custom field
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the custom field
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
Submit results as JSON
Request body for updating a custom field
The title of the custom field
"Favorite Color"
Description of the custom field
"Select your favorite color"
Placeholder text for the custom field input
"Enter your answer here"
Status of the custom field (visible, hidden, billing_disabled)
"visible"
Whether to notify all members when making the custom field visible
Whether this is the primary custom field
Response
The updated custom field object
Custom Fields are configurable fields that can be added to capture additional member information
The record's integer ID
"1234"
The date and time the record was created
"2026-09-27T20:54:54+00:00"
The date and time the record was last modified
"2026-09-27T20:54:54+00:00"
The title of the custom field
"Favorite Color"
The type of response this custom field accepts
"dropdown_single_select"
The level members pick a place at (for location custom fields)
"city"